library("dplyr")
library("ggplot2")
z1 <- read.csv('zinc_1.csv')
z2 <- read.csv('zinc_2.csv')
total_a <- rbind(z1, z2)
ids <- total_a %>% filter(affinity < -9.0) %>% distinct(zincid)
#ids: 
#ZINC000006091723, ZINC000006524444, ZINC000008101192, 
#ZINC000008101193, ZINC000013780673, ZINC000060184581, 
#ZINC000061389419, ZINC000072400628, ZINC000076945726, ZINC000089362402
df <- total_a[total_a$zincid %in% c("ZINC000006091723", "ZINC000006524444", "ZINC000008101192",
                          "ZINC000008101193", "ZINC000013780673", "ZINC000060184581",
                          "ZINC000061389419", "ZINC000072400628", "ZINC000076945726", "ZINC000089362402"),]

p <- ggplot(df, aes(x=num, y=affinity)) + geom_boxplot(aes(fill=num)) +
  theme(axis.text.x = element_text(angle = 45, hjust = 1)) +
  xlab("ID") + ylab("Binding affinity (kcal/mol)") + 
  scale_fill_manual(values=c("white", "red", "blue", "green", "white",
                             "white", "white", "white", "white", "white")) +
  theme(legend.position = "none")
ggsave("sitea_boxplotscolored.png")

hist_a <- ggplot(total_a, aes(x=affinity)) + geom_histogram(bins=20, color="black", fill="gray") +
  geom_vline(aes(xintercept = mean(affinity)), linetype="dashed", size=0.6) + 
  xlab("Binding affinity (kcal/mol)") + ylab("Count")
ggsave("sitea_histogram.png")

temp_a <- total_a %>% filter(num == "ZINC06524444")
a <- ggplot(temp, aes(x=affinity)) + geom_histogram(color="black", fill="gray") +
  geom_vline(aes(xintercept = mean(affinity)), linetype="dashed", size=0.6) + 
  xlab("Binding affinity (kcal/mol)") + ylab("Count")

temp_a <- total_a %>% filter(num == "ZINC08101192")
a <- ggplot(temp, aes(x=affinity)) + geom_histogram(color="black", fill="gray") +
  geom_vline(aes(xintercept = mean(affinity)), linetype="dashed", size=0.6) + 
  xlab("Binding affinity (kcal/mol)") + ylab("Count")

temp <- total_a %>% filter(num == "ZINC08101193")
a <- ggplot(temp, aes(x=affinity)) + geom_histogram(color="black", fill="gray") +
  geom_vline(aes(xintercept = mean(affinity)), linetype="dashed", size=0.6) + 
  xlab("Binding affinity (kcal/mol)") + ylab("Count")
